using System;
namespace RH
{
	public static class Usage
	{
		public static void ShowUsage()
		{
			Console.WriteLine("Usage:");
			Console.WriteLine("SharePointConsole http://siteurl[/weburl] Command [Parameter1 Parameter2]");
			Console.WriteLine("Commands:");
			Console.WriteLine("- EnumContentTypes");
			Console.WriteLine("- CreateContentType");
			Console.WriteLine("- RenameContentType");
			Console.WriteLine("- DeleteContentType");
			Console.WriteLine("- DeleteAllListItems");
			Console.WriteLine("- RecycleAllListItems");
			Console.WriteLine("- ShowInNewForm");
			Console.WriteLine("- ShowInEditForm");
			Console.WriteLine("- ShowInDisplayForm");
			Console.WriteLine("- DeleteAllVersions");
			Console.WriteLine("- RecycleAllVersions");
			Console.WriteLine("- SetTitleWithFilename");
			Console.WriteLine("- SetSearchCenterUrl");
			Console.WriteLine("- SystemUpdate");
			Console.WriteLine("- FeatureManager");
			Console.WriteLine("- EmptyRecycleBin");
			Console.WriteLine("");

			Console.WriteLine("EnumContentType:");
			Console.WriteLine("Returns all content types from the specified sitecollection.\r\n");

			Console.WriteLine("CreateContentType newName [Parent ContentType]:");
			Console.WriteLine("Creates a new content type and inherrits from an exiting one, if a parent content type is specified.\r\n");

			Console.WriteLine("RenameContentType contentType newName:");
			Console.WriteLine("Renames a content type\r\n");

			Console.WriteLine("DeleteContentType Name:");
			Console.WriteLine("Deletes a content type\r\n");

			Console.WriteLine("DeleteAllListItems ListName:");
			Console.WriteLine("Deletes all listItems from the specified list (use the displayname)\r\n");

			Console.WriteLine("RecycleAllListItems ListName:");
			Console.WriteLine("Recycles (moves to Recycle Bin) all listItems from the specified list (use the displayname)\r\n");

			Console.WriteLine("ShowInNewForm ListName FieldName bool:");
			Console.WriteLine("Changes the visibility of a field in the NewForm\r\n");

			Console.WriteLine("ShowInEditForm ListName FieldName bool:");
			Console.WriteLine("Changes the visibility of a field in the EditForm\r\n");

			Console.WriteLine("ShowInDisplayForm ListName FieldName bool:");
			Console.WriteLine("Changes the visibility of a field in the DisplayForm\r\n");

			Console.WriteLine("DeleteAllVersions ListName:");
			Console.WriteLine("Deletes all version except the current one\r\n");

			Console.WriteLine("RecycleAllVersions ListName:");
			Console.WriteLine("Recycles all version except the current one\r\n");

			Console.WriteLine("SetTitleWithFilename ListName:");
			Console.WriteLine("Sets the Title of all Documents with its filename without extension\r\n");

			Console.WriteLine("SetSearchCenterUrl SearchCenterUrl:");
			Console.WriteLine("Sets the SearchCenterUrl for an entire WebApplication\r\n");

			Console.WriteLine("SystemUpdate ListName SleepTime itemID:");
			Console.WriteLine("Hit each ListItem and do a SystemUpdate(false) to call attached EventHandlers. With SleepTime you define how many seconds to wait, before working on the next ListItem. If the itemID is != 0, only that item will be updated\r\n");

			Console.WriteLine("FeatureManager featureID Enable/Disable [AllSites|AllWebs|Farm] :");
			Console.WriteLine("Enable or Disable a feature by its ID. The optional paramter AllSites enables the feature on all sitecollections AND webs, AllWebs only in all webs of the sitecollection and Farm in the whole farm\r\n");

			Console.WriteLine("EmptyRecycleBin");
			Console.WriteLine("Empties the Recylce Bin for the site collection (from all stages and all webs!)");
		}
	}
}